//  Lino
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#include "Events.h"

Events::Events()
{
}

Events::~Events()
{
}

void Events::addEvent(Uint32 event_code){
    addEvent(event_code, 0, 0);
}

void Events::addEvent(Uint32 event_code, void *data1){
    addEvent(event_code, data1, 0);
}

void Events::addEvent(Uint32 event_code, void *data1, void *data2)
{
    SDL_Event event;
    
    event.type = SDL_USEREVENT;
    event.user.code = event_code;
    event.user.data1 = data1;
    event.user.data2 = data2;
    
    SDL_PushEvent(&event);
}
