//  Lino
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//  Copyright (C) 2005 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#ifndef __GENERIQUE_FIN_H__
#define __GENERIQUE_FIN_H__

#include <SDL.h>

#include "Defines.h"
#include "Timer.h"
#include "Screen.h"
#include "Events.h"
#include "VTexte.h"
#include "FondEcran.h"
#include "Langue.h"
#include "Timer.h"

#define GENERIQUE_FIN_LOGO_GNU_GPL "GENERIQUE_FIN_LOGO_GNU_GPL"
#define GENERIQUE_FIN_LOGO_SDL_PWRD "GENERIQUE_FIN_LOGO_SDL_PWRD"

class Lineo;

class GeneriqueFin
{
  //*******************
  //* variables membres
    private:
	    Lineo 	   *_AppLineo;
        Uint16 		_Compteur;

        FondEcran* 	_FondEcranLineo;

		Uint32 		_UrlLineoId;
		Uint32 		_EmaiLineoId;

  //*******************
  //* fonctions membres
	public:
		GeneriqueFin(Lineo *app_lineo);
		~GeneriqueFin();
		void processEvents(SDL_Event *event);
};

#endif // __GENERIQUE_FIN_H__
