//  Lino
//  Copyright (C) 2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

// "Ce fichier contient des defines dont on a besoin un peu partout
//  dans le code et qui n'appartiennent pas directement  une seule classe,
//  ce sont des renseignements utiles  plein de monde quoi...
//                                         ...bref, vous avez compris !" ;-)
//                                                                ~ Nathan ~

#ifndef __DEFINES_H__
#define __DEFINES_H__
//----------------------------------------------------------------------------//
    #define VERSION "0.3"
//----------------------------------------------------------------------------//
    #define SCREEN_W    800
#ifdef Nokia770
    #define SCREEN_H    480
#else
    #define SCREEN_H    600
#endif
//----------------------------------------------------------------------------//
    #ifndef DATA_PATH
        #define DATA_PATH "./datas/"
    #endif
//----------------------------------------------------------------------------//
    #define MOUSE_MOLETTE_UP   4
    #define MOUSE_MOLETTE_DOWN 5
//----------------------------------------------------------------------------//
    #define TIMER_NB_TICK_FOR_1_S 4
//----------------------------------------------------------------------------//
    enum Zindex
    {
        Z_MIN,
        Z_FOND_ECRAN,
        Z_PLATEAU,
        Z_PLATEAU_MAX = Z_PLATEAU+1000,
        Z_VUE_DESSUS,
        Z_VUE_DESSUS_MAX = Z_VUE_DESSUS+1000,
        Z_VUE_GAME,
        Z_VUE_GAME_MAX = Z_VUE_GAME+1000,
        Z_MENU_FOND,
        Z_MENU_FOND_ITEM,
        Z_MENU_ASCENCEUR,
        Z_MENU_TEXTE,
        Z_CREDITS_TEXTES,
        Z_CREDITS_BANDES,
        Z_LOGO_N,
        Z_POPUP_FOND, 	  // il faut bien laisser les popup au dessus de toute
        Z_POPUP_FOND_BTN, // autre chose c'est trs important,
        Z_POPUP_IMG,      // sinon c'est pas une popup
        Z_POPUP_TEXTES,
        Z_FPS,
        Z_MAX
    };
//----------------------------------------------------------------------------//
#endif // __DEFINES_H__
