//  Lino
//  Copyright (C) 2005 Pierre-Yves Bonnefoy <pyb@natsimhan.com>
//  Copyright (C) 2005-2006 Jonathan Buron <nathan@natsimhan.com>
//
//  This file is part of Lino.
//
//  Lino is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  Lino is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with Lino; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#ifndef __VUE_OPTION_H__
#define __VUE_OPTION_H__

#include "Screen.h"
#include "Menu.h"
#include "Config.h"
#include "FondEcran.h"
#include "Langue.h"

class Lineo;

class VueOption
{
  //*******************
  //* variables membres
	private:
	    Lineo 		*_AppLineo;
        Menu		*_Menu;
        FondEcran	*_FondEcran;

  //*******************
  //* fonctions membres
	public:
		VueOption(Lineo* app_lineo, Uint16 provenance);
		~VueOption();
		void processEvents(SDL_Event *event);
};

#endif // __VUE_OPTION_H__
